package com.mall.coupon.domain.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@Accessors(chain = true)
@TableName("sms_home_subject_spu")
@Schema(name = "HomeSubjectSpu对象", title = "专题商品", description = "专题商品的实体类对象")
public class HomeSubjectSpu {

    @Schema(name = "id", title = "id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @Schema(name = "name", title = "专题名字")
    private String name;

    @Schema(name = "subjectId", title = "专题id")
    private Long subjectId;

    @Schema(name = "spuId", title = "spu_id")
    private Long spuId;

    @Schema(name = "sort", title = "排序")
    private Integer sort;

}