package com.mall.coupon.domain.vo;

import java.util.Date;
import java.math.BigDecimal;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(name = "CouponSpuRelationVO对象", title = "优惠券与产品关联", description = "优惠券与产品关联的VO对象")
public class CouponSpuRelationVo {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "couponId", title = "优惠券id")
    private Long couponId;

    @Schema(name = "spuId", title = "spu_id")
    private Long spuId;

    @Schema(name = "spuName", title = "spu_name")
    private String spuName;

}

