package com.mall.coupon.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "CouponSpuCategoryRelationDTO对象", title = "优惠券分类关联", description = "优惠券分类关联的DTO对象")
public class CouponSpuCategoryRelationDto {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "couponId", title = "优惠券id")
    private Long couponId;

    @Schema(name = "categoryId", title = "产品分类id")
    private Long categoryId;

    @Schema(name = "categoryName", title = "产品分类名称")
    private String categoryName;

}