package com.mall.coupon.domain.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@Accessors(chain = true)
@TableName("sms_seckill_promotion")
@Schema(name = "SeckillPromotion对象", title = "秒杀活动", description = "秒杀活动的实体类对象")
public class SeckillPromotion {

    @Schema(name = "id", title = "id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @Schema(name = "title", title = "活动标题")
    private String title;

    @Schema(name = "startTime", title = "开始日期")
    private LocalDateTime startTime;

    @Schema(name = "endTime", title = "结束日期")
    private LocalDateTime endTime;

    @Schema(name = "status", title = "上下线状态")
    private Integer status;

    @Schema(name = "createTime", title = "创建时间")
    private LocalDateTime createTime;

    @Schema(name = "userId", title = "创建人")
    private Long userId;

}