package com.mall.coupon.domain.vo;

import java.util.Date;
import java.math.BigDecimal;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(name = "CouponSpuCategoryRelationVO对象", title = "优惠券分类关联", description = "优惠券分类关联的VO对象")
public class CouponSpuCategoryRelationVo {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "couponId", title = "优惠券id")
    private Long couponId;

    @Schema(name = "categoryId", title = "产品分类id")
    private Long categoryId;

    @Schema(name = "categoryName", title = "产品分类名称")
    private String categoryName;

}

