package com.mall.coupon.domain.vo;

import java.util.Date;
import java.math.BigDecimal;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(name = "HomeSubjectSpuVO对象", title = "专题商品", description = "专题商品的VO对象")
public class HomeSubjectSpuVo {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "name", title = "专题名字")
    private String name;

    @Schema(name = "subjectId", title = "专题id")
    private Long subjectId;

    @Schema(name = "spuId", title = "spu_id")
    private Long spuId;

    @Schema(name = "sort", title = "排序")
    private Integer sort;

}

